Skip to main content

Published Dashboard

View as Markdown

PublishedDashboard object

display_namestring

The display name of the published dashboard.

Example: Monthly Traffic Report

warehouse_idstring

The warehouse ID used to run the published dashboard.

Example: 47bb1c472649e711

embed_credentialsboolean

Indicates whether credentials are embedded in the published dashboard.

revision_create_timestring

The timestamp of when the published dashboard was last revised.

Get GA

GET /api/2.0/lakeview/dashboards/{dashboard_id}/published

Get the current published dashboard.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the published dashboard.

Response

Returns the PublishedDashboard object.

Delete GA

DELETE /api/2.0/lakeview/dashboards/{dashboard_id}/published

Unpublish the dashboard.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the published dashboard.

Revert Dashboard GA

POST /api/2.0/lakeview/dashboards/{dashboard_id}/revert

Revert a dashboard's definition in draft mode to the last published version.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard.

Request body

etagstring

The etag for the dashboard. Optionally, it can be provided to verify that the dashboard has not been modified from its last retrieval.

Example: 80611980

Response

dashboardobject

The reverted dashboard.

Show child attributesHide child attributes
dashboard_idstring

UUID identifying the dashboard.

Example: 04aab30f99ea444490c10c85852f216c

display_namestring

The display name of the dashboard.

Example: Monthly Traffic Report

pathstring

The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension .lvdash.json. This field is excluded in List Dashboards responses.

Example: /path/to/dir/Monthly Traffic Report.lvdash.json

create_timestring

The timestamp of when the dashboard was created.

update_timestring

The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.

warehouse_idstring

The warehouse ID used to run the dashboard.

Example: 47bb1c472649e711

etagstring

The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.

Example: 80611980

serialized_dashboardstring

The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the serialized_dashboard field. This field provides the structure of the JSON string that represents the dashboard's layout and components.

lifecycle_statestring

The state of the dashboard resource. Used for tracking trashed status.

Values: ACTIVE, TRASHED

parent_pathstring

The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.

Example: /path/to/dir